Subject: Re: [PATCH 2/2] net: phy: Add driver for Motorcomm yt8821 2.5G ethernet phy

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 29 Jul 2024 12:44:36 +0100

On Sat, Jul 27, 2024 at 01:36:25PM +0200, Andrew Lunn wrote:
> The idea of this phydev->possible_interfaces is to allow the core to
> figure out what mode is most appropriate. So i would drop the mode in
> DT, default to auto, and let the core tell you it wants 2500 BaseX if
> that is all the MAC can do.

phydev->possible_interfaces reports the bitmap of interfaces that the
PHY _will_ switch between on its MAC facing side depending on the
negotiated media-side link.

It would be nice if this driver always filled in
phydev->possible_interfaces, even if there is only one interface
when it's using rate matching.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!